# Gimp.Procedure.add_choice_aux_argument

    @accepts(Gimp.Procedure, unicode, unicode, unicode, Gimp.Choice, unicode, GObject.ParamFlags)
    @returns(none)
    def add_choice_aux_argument(self, name, nick, blurb, choice, value, flags):
        # Python wrapper for gimp_procedure_add_choice_aux_argument()

Add a new Gimp.Choice auxiliary argument to self.

Since 3.0

self

  the Gimp.Procedure.

name

  the name of the argument to be created.

nick

  the label used in #GimpProcedureDialog.

blurb

  a more detailed help description.

choice

  the Gimp.Choice

value

  the default value for Gimp.Choice.

flags

  argument flags.